LibreOffice LibreOffice 25.8 SDK API Reference

Variables
com::sun::star::awt::FontType Constant Group Referencepublished

These values are used to specify the technology of the font representation. More...

## Variables
const short | DONTKNOW = 0
| The type of the font is not known. More...
const short | RASTER = 1
| specifies a raster font. More...
const short | DEVICE = 2
| specifies a device font. More...
const short | SCALABLE = 4
| specifies a scalable font. More...

## Detailed Description

These values are used to specify the technology of the font representation.

They may be expanded in future versions.

## Variable Documentation

## ◆ DEVICE

const short DEVICE = 2

specifies a device font.

## ◆ DONTKNOW

const short DONTKNOW = 0

The type of the font is not known.

## ◆ RASTER

const short RASTER = 1

specifies a raster font.

## ◆ SCALABLE

const short SCALABLE = 4

specifies a scalable font.